Admin/Create Campaign
POST /v1/admin/campaigns

Create Campaign

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/campaigns \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "campaign": {
         "name": "summer-offer",
         "strategy": "progressive_dialer",
         "type": "pre_connect",
         "queue_id": "23967773-1d16-4f81-8582-5b9193601d26",
         "connector_id": "23967773-1d16-4f81-8582-5b9193601d26",
         "country": "US",
         "reason": "Follow up on recent inquiry about summer offer.",
         "agent_script": "Hello, I am calling regarding your interest in our summer offer. Do you have a few minutes to talk?",
         "restrict_tag_ids": null,
         "recall_waiting_time": 30,
         "retries": 3,
         "retry_delay": 60,
         "ring_timeout": 30,
         "concurrency": 10,
         "start_date": "2024-06-01",
         "end_date": "2024-06-30",
         "timeslots": {
           "1": [
             "09:00-12:00",
             "13:00-18:00"
           ]
         }
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

campaign▾
object
id
string
name
string
strategy
string The strategy/type combination for the campaign. - progressive_dialer: Type will be pre_connect or post_connect. - voice_broadcast: Type will be audio, tts or ivr.
type
string
audio_id
null | string Present when type is audio.
tts▾
null | object Present when type is tts.
language
string
text
string
ivr_id
null | string Present when type is ivr.
queue_id
null | string Present when type is pre_connect or post_connect. Omitted for voice_broadcast.
connector_id
string
country
string
retries
integer
retry_delay
integer
ring_timeout
integer
concurrency
integer
calls_per_agent
integer Predictive dialer only. Number of calls to place per available agent.
reason
string
agent_script
string
restrict_tag_ids
null | array If null, any tag is allowed. If empty array, no tags are allowed. If filled, only those tag ids are allowed.
recall_waiting_time
integer
timeslots
object
total
integer Total customers in the campaign.
processed
integer Number of customers processed (terminal disposition). Use with total for progress (processed / total) and with answered for answer rate (answered / processed).
answered
integer Number of customers who answered. Answer rate = answered / processed (when processed > 0).
weight
number Campaign weight for proportional slot distribution when agents are shared across campaigns. Updated via PUT /campaigns/weights.
status
string
start_date
string
end_date
string
created_at
string
updated_at
string